/*
 *
 *  Copyright (C) 1996-99, OFFIS
 *
 *  This software and supporting documentation were developed by
 *
 *    Kuratorium OFFIS e.V.
 *    Healthcare Information and Communication Systems
 *    Escherweg 2
 *    D-26121 Oldenburg, Germany
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND OFFIS MAKES NO  WARRANTY
 *  REGARDING  THE  SOFTWARE,  ITS  PERFORMANCE,  ITS  MERCHANTABILITY  OR
 *  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES  OR
 *  ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND
 *  PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Module:  wlistctn
 *
 *  Author:  Andrew Hewett
 *
 *  Purpose: Service Class Executive (SCE) - ECHO Service Class Provider
 *
 *  Last Update:      $Author: meichel $
 *  Update Date:      $Date: 1999/04/26 12:59:10 $
 *  Source File:      $Source: /share/dicom/cvs-depot/dcmtk/wlistctn/apps/sceecho.cc,v $
 *  CVS/RCS Revision: $Revision: 1.4 $
 *  Status:           $State: Exp $
 *
 *  CVS/RCS Log at end of file
 *
 */

#include "osconfig.h"    /* make sure OS specific configuration is included first */

BEGIN_EXTERN_C
#include <stdio.h>
#include <string.h>
#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif
END_EXTERN_C

#include "dicom.h"
#include "wlistctn.h"
#include "dimse.h"

#include "sceecho.h"

/*
 * C-ECHO SCP
 */

CONDITION
SCE_echoSCP(T_ASC_Association * assoc, T_DIMSE_C_EchoRQ * req,
	T_ASC_PresentationContextID presId)
{
    CONDITION cond;

    if (opt_verbose) {
	printf("Received Echo SCP RQ: MsgID %d\n", 
		req->MessageID);
    }
    /* we send an echo response back */
    cond = DIMSE_sendEchoResponse(assoc, presId, 
        req, STATUS_Success, NULL);
    
    if (!SUCCESS(cond)) {
	errmsg("echoSCP: Echo Response Failed:");
	COND_DumpConditions();
    }
    return cond;
}

/*
** CVS Log
** $Log: sceecho.cc,v $
** Revision 1.4  1999/04/26 12:59:10  meichel
** Ported Worklist CTN to Win32 environment.
**
** Revision 1.3  1996/09/27 08:54:26  hewett
** Enclosed system include files with BEGIN_EXTERN_C/END_EXTERN_C
**
** Revision 1.2  1996/08/29 16:16:07  hewett
** Corrected copyright header.
**
** Revision 1.1.1.1  1996/04/26 14:16:01  hewett
** Initial Import.
**
*/
